Bug 184826 - audio/mcplay: Support CC/CFLAGS properly
Summary: audio/mcplay: Support CC/CFLAGS properly
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-16 18:10 UTC by tkato432
Modified: 2013-12-20 08:10 UTC (History)
0 users

See Also:


Attachments
file.diff (2.33 KB, patch)
2013-12-16 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-12-16 18:10:06 UTC
- Support CC/CFLAGS properly
- Update MASTER_SITES 
- Support ncurses
Comment 1 Pawel Pekala freebsd_committer 2013-12-19 18:44:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-12-19 19:00:46 UTC
Author: pawel
Date: Thu Dec 19 19:00:39 2013
New Revision: 336946
URL: http://svnweb.freebsd.org/changeset/ports/336946

Log:
  - Support CC/CFLAGS properly
  - Update MASTER_SITES
  - Support ncurses
  - Convert to staging
  
  PR:		ports/184826
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Modified:
  head/audio/mcplay/Makefile   (contents, props changed)
  head/audio/mcplay/files/patch-Makefile   (contents, props changed)

Modified: head/audio/mcplay/Makefile
==============================================================================
--- head/audio/mcplay/Makefile	Thu Dec 19 18:47:31 2013	(r336945)
+++ head/audio/mcplay/Makefile	Thu Dec 19 19:00:39 2013	(r336946)
@@ -4,21 +4,29 @@
 PORTNAME=	mcplay
 DISTVERSION=	0.3i
 CATEGORIES=	audio
-MASTER_SITES=	http://www.yahuxo.de/${PORTNAME}/
+MASTER_SITES=	http://www.yahuxo.de/${PORTNAME}/ \
+		http://www.sourcefiles.org/Multimedia/MP3/Front_End/
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Curses based front-end to various audio players
 
 LICENSE=	GPLv2
 
+USES=		ncurses
 USE_GNOME=	glib12
 
-NO_STAGE=	yes
-MAN1=		${PORTNAME}.1
-PLIST_FILES=	bin/${PORTNAME}
+PLIST_FILES=	bin/${PORTNAME} man/man1/${PORTNAME}.1.gz
+
+post-patch:
+.for i in mcplay.c screen.c
+	@${REINPLACE_CMD} -e \
+		's|<sys/termios.h>|<termios.h>|' ${WRKSRC}/${i}
+.endfor
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
-	${INSTALL_MAN} ${FILESDIR}/${PORTNAME}.1 ${MAN1PREFIX}/man/man1
+	(cd ${WRKSRC} && ${INSTALL_PROGRAM} ${PORTNAME} \
+		${STAGEDIR}${PREFIX}/bin)
+	(cd ${FILESDIR} && ${INSTALL_MAN} ${PORTNAME}.1 \
+		${STAGEDIR}${MAN1PREFIX}/man/man1)
 
 .include <bsd.port.mk>

Modified: head/audio/mcplay/files/patch-Makefile
==============================================================================
--- head/audio/mcplay/files/patch-Makefile	Thu Dec 19 18:47:31 2013	(r336945)
+++ head/audio/mcplay/files/patch-Makefile	Thu Dec 19 19:00:39 2013	(r336946)
@@ -18,3 +18,30 @@
  BINDIR=$(INSTDIR)/bin
  
  #####################################################################
+@@ -33,7 +33,7 @@
+ PROGNAME=mcplay
+ VERSION=0.3i
+ DISTDIR=$(PROGNAME)-$(VERSION)
+-CC=gcc
++CC?=gcc
+ TARGET=mcplay
+ OBJECTS=mcplay.o \
+         screen.o \
+@@ -48,7 +48,7 @@
+ 
+ DATA=Makefile COPYING
+ 
+-MY_CFLAGS=-Wall -g -I. -DPROGNAME_S=\"$(PROGNAME)\" -DVERSION_S=\"$(VERSION)\" $(LOG_CFLAGS)
++MY_CFLAGS=-Wall -I. -DPROGNAME_S=\"$(PROGNAME)\" -DVERSION_S=\"$(VERSION)\" $(LOG_CFLAGS)
+ MY_LFLAGS=
+ 
+ PLAYER_CFLAGS=$(MPG_CFLAGS) $(OGG_CFLAGS) $(SOX_CFLAGS) $(MID_CFLAGS)
+@@ -60,7 +60,7 @@
+ NCURSES_CFLAGS=
+ NCURSES_LFLAGS=-lncurses
+ 
+-CFLAGS=$(MY_CFLAGS) $(PLAYER_CFLAGS) $(GLIB_CFLAGS) $(NCURSES_CFLAGS) $(LIRC_CFLAGS)
++CFLAGS+=$(MY_CFLAGS) $(PLAYER_CFLAGS) $(GLIB_CFLAGS) $(NCURSES_CFLAGS) $(LIRC_CFLAGS)
+ LFLAGS=$(MY_LFLAGS) $(PLAYER_LFLAGS) $(GLIB_LFLAGS) $(NCURSES_LFLAGS) $(LIRC_LFLAGS)
+ 
+ all: $(TARGET)
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Pawel Pekala freebsd_committer 2013-12-19 19:00:51 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2013-12-20 08:00:55 UTC
Author: bapt
Date: Fri Dec 20 08:00:46 2013
New Revision: 336980
URL: http://svnweb.freebsd.org/changeset/ports/336980

Log:
  MFH: r336946
  
  - Support CC/CFLAGS properly
  - Update MASTER_SITES
  - Support ncurses
  - Convert to staging
  
  PR:		ports/184826
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Modified:
  branches/2014Q1/audio/mcplay/Makefile   (contents, props changed)
  branches/2014Q1/audio/mcplay/files/patch-Makefile   (contents, props changed)
Directory Properties:
  branches/2014Q1/   (props changed)

Modified: branches/2014Q1/audio/mcplay/Makefile
==============================================================================
--- branches/2014Q1/audio/mcplay/Makefile	Fri Dec 20 07:59:55 2013	(r336979)
+++ branches/2014Q1/audio/mcplay/Makefile	Fri Dec 20 08:00:46 2013	(r336980)
@@ -4,21 +4,29 @@
 PORTNAME=	mcplay
 DISTVERSION=	0.3i
 CATEGORIES=	audio
-MASTER_SITES=	http://www.yahuxo.de/${PORTNAME}/
+MASTER_SITES=	http://www.yahuxo.de/${PORTNAME}/ \
+		http://www.sourcefiles.org/Multimedia/MP3/Front_End/
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Curses based front-end to various audio players
 
 LICENSE=	GPLv2
 
+USES=		ncurses
 USE_GNOME=	glib12
 
-NO_STAGE=	yes
-MAN1=		${PORTNAME}.1
-PLIST_FILES=	bin/${PORTNAME}
+PLIST_FILES=	bin/${PORTNAME} man/man1/${PORTNAME}.1.gz
+
+post-patch:
+.for i in mcplay.c screen.c
+	@${REINPLACE_CMD} -e \
+		's|<sys/termios.h>|<termios.h>|' ${WRKSRC}/${i}
+.endfor
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
-	${INSTALL_MAN} ${FILESDIR}/${PORTNAME}.1 ${MAN1PREFIX}/man/man1
+	(cd ${WRKSRC} && ${INSTALL_PROGRAM} ${PORTNAME} \
+		${STAGEDIR}${PREFIX}/bin)
+	(cd ${FILESDIR} && ${INSTALL_MAN} ${PORTNAME}.1 \
+		${STAGEDIR}${MAN1PREFIX}/man/man1)
 
 .include <bsd.port.mk>

Modified: branches/2014Q1/audio/mcplay/files/patch-Makefile
==============================================================================
--- branches/2014Q1/audio/mcplay/files/patch-Makefile	Fri Dec 20 07:59:55 2013	(r336979)
+++ branches/2014Q1/audio/mcplay/files/patch-Makefile	Fri Dec 20 08:00:46 2013	(r336980)
@@ -18,3 +18,30 @@
  BINDIR=$(INSTDIR)/bin
  
  #####################################################################
+@@ -33,7 +33,7 @@
+ PROGNAME=mcplay
+ VERSION=0.3i
+ DISTDIR=$(PROGNAME)-$(VERSION)
+-CC=gcc
++CC?=gcc
+ TARGET=mcplay
+ OBJECTS=mcplay.o \
+         screen.o \
+@@ -48,7 +48,7 @@
+ 
+ DATA=Makefile COPYING
+ 
+-MY_CFLAGS=-Wall -g -I. -DPROGNAME_S=\"$(PROGNAME)\" -DVERSION_S=\"$(VERSION)\" $(LOG_CFLAGS)
++MY_CFLAGS=-Wall -I. -DPROGNAME_S=\"$(PROGNAME)\" -DVERSION_S=\"$(VERSION)\" $(LOG_CFLAGS)
+ MY_LFLAGS=
+ 
+ PLAYER_CFLAGS=$(MPG_CFLAGS) $(OGG_CFLAGS) $(SOX_CFLAGS) $(MID_CFLAGS)
+@@ -60,7 +60,7 @@
+ NCURSES_CFLAGS=
+ NCURSES_LFLAGS=-lncurses
+ 
+-CFLAGS=$(MY_CFLAGS) $(PLAYER_CFLAGS) $(GLIB_CFLAGS) $(NCURSES_CFLAGS) $(LIRC_CFLAGS)
++CFLAGS+=$(MY_CFLAGS) $(PLAYER_CFLAGS) $(GLIB_CFLAGS) $(NCURSES_CFLAGS) $(LIRC_CFLAGS)
+ LFLAGS=$(MY_LFLAGS) $(PLAYER_LFLAGS) $(GLIB_LFLAGS) $(NCURSES_LFLAGS) $(LIRC_LFLAGS)
+ 
+ all: $(TARGET)
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"